Error at overcloud_prep_containers Package: qpid-dispatch-router-0.8.0-1.el7.x86_64 (@delorean-master-testing)", " Requires: libqpid-proton.so.10()(64bit)

Bug #1778040 reported by Quique Llorente on 2018-06-21
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
tripleo
Critical
Quique Llorente

Bug Description

Running tripleo-ci-centos-7-scenario004-multinode-oooq-container with a noop change we get the following

http://logs.openstack.org/45/560445/68/check/tripleo-ci-centos-7-scenario004-multinode-oooq-container/ab0f76c/logs/undercloud/home/zuul/overcloud_prep_containers.log.txt.gz

Error: Package: qpid-dispatch-router-0.8.0-1.el7.x86_64 (@delorean-master-testing)
       Requires: libqpid-proton.so.10()(64bit)

Changed in tripleo:
assignee: nobody → Quique Llorente (quiquell)
tags: added: promotion-blocker
Quique Llorente (quiquell) wrote :

Updated RPM qpid-proton-c-0.21.0-2.el7.x86_64 ()(centos-opstools-release) is installing libqpid-proton.so.11()(64bit) but package qpid-dispatch-router-0.8.0-1.el7.x86_64 (@delorean-master-testing) requieres libqpid-proton.so.10()(64bit)

Quique Llorente (quiquell) wrote :

The yum repo /etc/yum.repos.d/quickstart-centos-opstools.repo is installing the wrong qpid-proton-c version.

tags: added: quickstart
Quique Llorente (quiquell) wrote :

opst tool perfmon is using a newer version of qpid-proton-c http://mirror.centos.org/centos/7/opstools/x86_64/perfmon/, and that's not compatible with the qpid-dispatch-router we have in deloran.

Changed in tripleo:
status: New → Triaged

Fix proposed to branch: master
Review: https://review.openstack.org/577145

Changed in tripleo:
status: Triaged → In Progress
tags: removed: alert
wes hayutin (weshayutin) on 2018-06-21
tags: added: alert
Quique Llorente (quiquell) wrote :

They have updated qpid at RDO, now the jobs are working, but still the reviews are needed to be sure that we don't install opstool if they are not needed.

tags: removed: alert promotion-blocker
tags: added: alert promotion-blocker
Quique Llorente (quiquell) wrote :

featureset002 is trying to install opstools but it's not needed for the featureset

https://review.openstack.org/#/c/577145/ will fix it.

Quique Llorente (quiquell) wrote :

Updating qpid verions for the rest of releases

https://review.rdoproject.org/r/#/c/14467/

Reviewed: https://review.openstack.org/577145
Committed: https://git.openstack.org/cgit/openstack/tripleo-quickstart/commit/?id=f24345d5ae57ef65312b16ca9f3e72e8d8120d15
Submitter: Zuul
Branch: master

commit f24345d5ae57ef65312b16ca9f3e72e8d8120d15
Author: Quique Llorente <email address hidden>
Date: Thu Jun 21 14:48:51 2018 +0200

    Fix centos opstools repo deactivation

    The repo name and the variable were wrong, with this
    fix by default opstool is not installed, not it was installed.
    Also looks like the opstool deps breaks tripleo.

    Closes-Bug: 1778040

    Change-Id: Ibd6cd439ef2c297ed420b96ea40bd71ebcab6fd6

Changed in tripleo:
status: In Progress → Fix Released
Quique Llorente (quiquell) wrote :
Download full text (3.4 KiB)

Weirdo jobs problems to merge patch https://review.rdoproject.org/r/#/c/14467/

https://centos.logs.rdoproject.org/weirdo-generic-puppet-openstack-scenario003/5591/weirdo-project/logs/libvirt/qemu/instance-00000002.txt.gz

2018-06-25 17:59:43.434+0000: starting up libvirt version: 3.9.0, package: 14.el7_5.5 (CentOS BuildSystem <http://bugs.centos.org>, 2018-05-22-02:42:56, c1bm.rdu2.centos.org), qemu version: 2.10.0(qemu-kvm-ev-2.10.0-21.el7_5.3.1), hostname: generic-puppet-openstack-003-5591
LC_ALL=C PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin QEMU_AUDIO_DRV=none /usr/libexec/qemu-kvm -name guest=instance-00000002,debug-threads=on -S -object secret,id=masterKey0,format=raw,file=/var/lib/libvirt/qemu/domain-2-instance-00000002/master-key.aes -machine pc-i440fx-rhel7.5.0,accel=kvm,usb=off,dump-guest-core=off -cpu Haswell-noTSX-IBRS,vme=on,ss=on,vmx=on,f16c=on,rdrand=on,hypervisor=on,arat=on,tsc_adjust=on,xsaveopt=on,abm=on,invpcid=off -m 128 -realtime mlock=off -smp 1,sockets=1,cores=1,threads=1 -uuid 83da5497-5a37-4f12-9011-6241725a6a99 -smbios 'type=1,manufacturer=RDO,product=OpenStack Compute,version=17.0.5-1.el7,serial=ec43dee6-bbbf-4adc-9893-2ddd0fb591a4,uuid=83da5497-5a37-4f12-9011-6241725a6a99,family=Virtual Machine' -no-user-config -nodefaults -chardev socket,id=charmonitor,path=/var/lib/libvirt/qemu/domain-2-instance-00000002/monitor.sock,server,nowait -mon chardev=charmonitor,id=monitor,mode=control -rtc base=utc,driftfix=slew -global kvm-pit.lost_tick_policy=delay -no-hpet -no-shutdown -boot strict=on -device piix3-usb-uhci,id=usb,bus=pci.0,addr=0x1.0x2 -drive file=/var/lib/nova/instances/83da5497-5a37-4f12-9011-6241725a6a99/disk,format=qcow2,if=none,id=drive-virtio-disk0,cache=none -device virtio-blk-pci,scsi=off,bus=pci.0,addr=0x4,drive=drive-virtio-disk0,id=virtio-disk0,bootindex=1 -netdev tap,fd=29,id=hostnet0,vhost=on,vhostfd=31 -device virtio-net-pci,netdev=hostnet0,id=net0,mac=fa:16:3e:23:3c:03,bus=pci.0,addr=0x3 -add-fd set=2,fd=33 -chardev pty,id=charserial0,logfile=/dev/fdset/2,logappend=on -device isa-serial,chardev=charserial0,id=serial0 -device usb-tablet,id=input0,bus=usb.0,port=1 -vnc 127.0.0.1:1 -k en-us -device cirrus-vga,id=video0,bus=pci.0,addr=0x2 -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x5 -msg timestamp=on
2018-06-25T17:59:43.560694Z qemu-kvm: -chardev pty,id=charserial0,logfile=/dev/fdset/2,logappend=on: char device redirected to /dev/pts/1 (label charserial0)
KVM: entry failed, hardware error 0x0
EAX=00000000 EBX=00000000 ECX=00000000 EDX=000306c1
ESI=00000000 EDI=00000000 EBP=00000000 ESP=00000000
EIP=0000fff0 EFL=00000002 [-------] CPL=0 II=0 A20=1 SMM=0 HLT=0
ES =0000 00000000 0000ffff 00009300
CS =f000 ffff0000 0000ffff 00009b00
SS =0000 00000000 0000ffff 00009300
DS =0000 00000000 0000ffff 00009300
FS =0000 00000000 0000ffff 00009300
GS =0000 00000000 0000ffff 00009300
LDT=0000 00000000 0000ffff 00008200
TR =0000 00000000 0000ffff 00008b00
GDT= 00000000 0000ffff
IDT= 00000000 0000ffff
CR0=60000010 CR2=00000000 CR3=00000000 CR4=00000000
DR0=0000000000000000 DR1=0000000000000000 DR2=0000000000000000 DR3=0000000000000000
DR6=00000000ffff0ff0 DR7=0000000000000400
EFER=0000000...

Read more...

Changed in tripleo:
status: Fix Released → In Progress
Quique Llorente (quiquell) wrote :

The hardware error is related to https://bugs.launchpad.net/tripleo/+bug/1762351

Quique Llorente (quiquell) wrote :

After merging https://review.openstack.org/577145 featureset002 is working now at RDO, it doesn't have have enable_opstools_repo so opstools are not need, and the review fix the flag to work alrigth.

But we still need the qpid updated for the following featuresets (In case they run in RDO):

tripleo-quickstart/config/general_config/featureset005.yml:enable_opstools_repo: true
tripleo-quickstart/config/general_config/featureset016.yml:enable_opstools_repo: true
tripleo-quickstart/config/general_config/featureset040.yml:enable_opstools_repo: true
tripleo-quickstart/config/general_config/featureset012.yml:enable_opstools_repo: true
tripleo-quickstart/config/general_config/featureset051.yml:enable_opstools_repo: true

Quique Llorente (quiquell) wrote :

New job affected by qpid issue after fixing featureset002

https://review.rdoproject.org/jenkins/job/periodic-tripleo-centos-7-pike-containers-build/763/consoleFull

INFO:kolla.image.build.qdrouterd:Removing intermediate container 17cce9ad7bd0
ERROR:kolla.image.build.qdrouterd:Error'd with the following message
ERROR:kolla.image.build.qdrouterd:The command '/bin/sh -c yum -y install cyrus-sasl-lib cyrus-sasl-plain qpid-dispatch-router && yum clean all' returned a non-zero code: 1
INFO:kolla.image.build:Attempt number: 2 to run task: BuildTask(qdrouterd)

Changed in tripleo:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/577146
Committed: https://git.openstack.org/cgit/openstack/tripleo-quickstart-extras/commit/?id=70b697982f540c2d42711e4c9d830373dabd66cd
Submitter: Zuul
Branch: master

commit 70b697982f540c2d42711e4c9d830373dabd66cd
Author: Quique Llorente <email address hidden>
Date: Thu Jun 21 14:42:37 2018 +0200

    Fix centos opstools repo deactivation

    The repo name and the activation variable were wrong,
    with this patch the opstools repo will bee installed
    only if it's explicitly specified.

    Depends-On: Ibd6cd439ef2c297ed420b96ea40bd71ebcab6fd6

    Change-Id: Ib5ceddf623ffe5493c84b708b417e9a8bc7e188a
    Related-Bug: 1778040

This issue was fixed in the openstack/tripleo-quickstart 2.1.1 release.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers